org.eclipse.equinox.p2.metadata.expression

## Interface IMemberProvider

All Known Implementing Classes:
  ArtifactDescriptor

    public interface IMemberProvider

This interface may be implemented by any class that wants to provide easy (high performance) access to its member to the expression evaluator. It also gives the implementing class a way to hide or rename the members otherwise accessible using getters.

Since:
  2.0

### Method Summary

All Methods Instance Methods Abstract Methods
`Object` `getMember(String memberName)` Returns the value for the specified member.

### Method Detail

#### getMember

    Object getMember(String memberName)

Returns the value for the specified member. Implementers can rely on that the `memberName` is a string that has been internalized using `String.intern()`.

Parameters:
  `memberName` - The name of the member
Returns:
  The member value.
Throws:
  `IllegalArgumentException` - if the instance has no member with the given name.